Bug Hunting Session
Bug 122152 - CRASH closing LibreOffice while Sort dialog is open
Summary: CRASH closing LibreOffice while Sort dialog is open
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-12-17 10:08 UTC by Xisco Faulí
Modified: 2018-12-18 13:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-12-17 10:08:38 UTC
Steps to reproduce:
1. Open attachment 147582 [details] from bug 122127
2. Open any form
3. Click on sort icon in the form navigator toolbar
4. Close LibreOffice
5. Close the sort dialog
-> Crash

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: bdc82e277759a2df68855fce0a3fdd58f9b1ea66
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-12-17 10:10:19 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2018-10-11 17:06:02 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-11 22:00:51 +0200
commit	3de2e2294759b83409e61ef5735313a6adf906e8 (patch)
tree	e862ad065fd5ae43a2797baf4303ce0129e5285d
parent	6d18862629aaf9b8117f8a97187c1f82154a70b1 (diff)
weld DlgFilterCrit and DlgOrderCrit

Bisected with: bibisect-linux64-6.2 

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-12-17 15:20:47 UTC
needs dialog parent to be set
Comment 3 Commit Notification 2018-12-17 21:07:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0a9917b756cf49b117766c9236a7bf63d6d4b607%5E%21

tdf#122152 set dialog parent

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2018-12-17 21:11:31 UTC
backport to 6-2 in gerrit
Comment 5 Xisco Faulí 2018-12-18 11:08:51 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 6dc36d343aeacb3d1e14ec0c847937d63f4e68a7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, Thanks for fixing this!!
Comment 6 Commit Notification 2018-12-18 13:12:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/49a608a2121e86a5da81caab4a29289a6937638e%5E%21

[API CHANGE] tdf#122152 set dialog parent

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.